Name: lft
Version: 2.5
Release: alt0.M24.1

Summary: Alternative traceroute tool for network (reverse) engineers
License: VOSTROM Public License for Open Source
Group: Monitoring

Url: http://oppleman.com/lft
Source0: %name-%version.tar.gz
Source1: %name.control
Packager: Michael Shigorin <mike@altlinux.org>

# Automatically added by buildreq on Mon Jan 17 2005
BuildRequires: hostinfo libpcap-devel

Obsoletes: fft

%description
LFT, short for Layer Four Traceroute, is a sort of 'traceroute' that
often works much faster (than the commonly-used Van Jacobson method) and
goes through many configurations of packet-filter based firewalls. More
importantly, LFT implements numerous other features including AS number
lookups, loose source routing, netblock name lookups, et al.

Recent LFT releases (as of version 2.5) include WhoB, a no-frills whois
client (see whois(1)) designed to provide everything a network engineer
needs to know about a routed IP address by typing one line and reading
one line.

%prep
%setup

%build
%configure
%make_build

%install
%makeinstall DESTDIR="%buildroot%_bindir" MANDIR="%buildroot%_man8dir"
%__install -pD -m755 %SOURCE1 %buildroot%_sysconfdir/control.d/facilities/%name

%pre
/usr/sbin/groupadd -r -f netadmin >/dev/null 2>&1
[ $1 -eq 1 ] || /usr/sbin/control-dump %name

%post
if [ $1 -ge 2 ]; then
	/usr/sbin/control-restore %name
else
	/usr/sbin/control %name netadmin
fi


%files
%config %_sysconfdir/control.d/facilities/%name
%_bindir/*
%doc %_man8dir/*
%doc CHANGELOG COPYING README TODO

%changelog
* Thu Aug 25 2005 Michael Shigorin <mike@altlinux.org> 2.5-alt0.M24.1
- built for ALM2.4

* Thu Aug 25 2005 Michael Shigorin <mike@altlinux.org> 2.5-alt1
- 2.5
- upstream changelog:
  + Added -z option to pseudo-randomize source port
  + Added behavior to automatically select the most appropriate interface
    based on routing (this was on the most wanted list)
  + Improved OpenBSD compatibility (IP length nonzero)
  + OpenBSD is now detected by autoconf (for configuring the above)
  + Darwin is now detected by autoconf and its definition disables
    some BSD features to make it compatible with MacOS X and Darwin
  + LFT now indicates it has reached the target by printing a 'T'
    character in the status display (if status is enabled)
  + Cleanups were made to the verbose output levels (-VVV)
  + Significantly revamped whois framework makes it easy to include
    whois functionality into other programs
  + Added -C and -R and -r options to force alternate ASN sources:
    * (r)IPE RIS
    * (C)ymru
    * (R)ADB
  + Default ASN source (-A) is now Prefix WhoIs (see pwhois.org)
  + LFT now queries for ASNs in bulk format after completing
    a trace if pwhois (default), RIPE NCC RIS, or Cymru is selected
  + Added dst/src port autoselection based on user-supplied hostname
  + Vastly improved standalone whois client "whob" see whob.8 (whob manpage)
  + Makefile now installs 'whob' no-frills whois client (try ./whob)
  + "Smart" mode is now referred to as "Adaptive" mode (-E)

* Mon Jan 17 2005 Michael Shigorin <mike@altlinux.ru> 2.31-alt1
- 2.31 (#5883)
- updated project URL

* Sun Feb 01 2004 Michael Shigorin <mike@altlinux.ru> 2.2-alt2
- rebuilt with libpcap-0.8.x

* Sat Aug 16 2003 Michael Shigorin <mike@altlinux.ru> 2.2-alt1
- built for ALT Linux
- control(8) support

* Sun Apr 20 2003 Nils McCarthy <nils@shkoo.com>
- Incorporated changes from Dag Wieers <dag@wieers.com> cleaning up
- a lot of the build process.

* Thu Mar 06 2003 Nils McCarthy <nils@shkoo.com>
- revised to work with autoconf

* Mon Oct 28 2002 Florin Andrei <florin@sgi.com>
- first version
- v2.0-1
